2019-05-26 22:45 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002172NetSurfRISC OS-specificpublic2015-03-10 11:12
ReporterRichard Porter 
Assigned ToVincent Sanders 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformRiscPCOSRISC OSOS Version6.14
Product Version3.2 
Target VersionFixed in Version3.2 
Summary0002172: Crash in BBC Complaints
DescriptionNS aborts after I accept a certificate during the process of raising a complaint on the BBC web site.
Steps To ReproduceRun through the online complaints process for a specific radio programme listened to at the time of broadcast. After entering the date of the programme and submitting the form a window pops up asking you to accept a certificate. When you accept it NetSurf crashes.
TagsNo tags attached.
Fixed in CI build #2023
Reported in CI build #2021
URL of problem pagehttps://ssl.bbc.co.uk/complaints/forms/#anchor
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000418

Vincent Sanders (administrator)

The legacy treeview interface is extremely buggy and is scheduled to be removed.

In this case it was being called with NULL ssl global context which has been worked around but its a sticking plaster over dreadful code.
Vincent Sanders

~0000718

Vincent Sanders (administrator)

Confirmed fixed in 3.2 release
+Notes

-Issue History
Date Modified Username Field Change
2014-07-19 13:54 Richard Porter New Issue
2014-07-19 13:54 Richard Porter File Added: nslog300.zip
2014-07-21 01:21 Vincent Sanders Status new => acknowledged
2014-07-21 12:02 Vincent Sanders Fixed in CI build # => 2023
2014-07-21 12:02 Vincent Sanders Note Added: 0000418
2014-07-21 12:02 Vincent Sanders Assigned To => Vincent Sanders
2014-07-21 12:02 Vincent Sanders Status acknowledged => resolved
2014-07-21 12:02 Vincent Sanders Resolution open => fixed
2014-07-21 12:02 Vincent Sanders Product Version => 3.2
2014-07-21 12:02 Vincent Sanders Fixed in Version => 3.2
2015-03-10 11:12 Vincent Sanders Note Added: 0000718
2015-03-10 11:12 Vincent Sanders Status resolved => closed
+Issue History